
#ifndef __SSDT_H_
#define __SSDT_H_

/**
 * @file: ssdt.h
 *
 * Hlavickovy soubor k modulu pro praci s tabulkou systemovych volani
 * hlavniho modulu jadra.
 */

#include <ntddk.h>



// Popis jednotlivych rutin naleznete v komentarich u jejich implementace
// v souboru ssdt.c.

ULONG GetNumberOfServices(VOID);
CHAR GetNumberOfArguments(IN ULONG Index);

PVOID SetServiceAddress(IN ULONG Index, PVOID NovaAdresa);
PVOID GetServiceAddress(IN ULONG Index);

NTSTATUS SSDTInit(VOID);
VOID SSDTFinit(VOID);



#endif
